
if (typeof window == "undefined")
	window = new Object;

if (typeof window.external == "undefined")
	window.external = new Object;

if (typeof DARK == "undefined")
	DARK = new Object;

if (typeof DARK.result != "undefined")
	delete DARK.result;

function DARKCreateContainerMethod(methodName)
{
	window.external[methodName] =
	function()
	{
		var alertString = 'DARK<===>' + methodName;
		for (var argIndex = 0;
			argIndex < arguments.length;
			++argIndex)
		{
			alertString += '<===>' + arguments[argIndex];
		}
		alert(alertString);
		return DARK.result;
	};
}

function DARKCallOnLoadHandler()
{
	// Conditionally execute the global "onPublisherRegistered" method if it exists. 
	if (onPublisherRegistered)
	{
		//AhmbedGUIWorkflow();
		onPublisherRegistered();
	}
}
